{
"status": 503,
"code": "merchant_group_unavailable",
"message": "Your merchant group could not be verified. Please retry in a few moments.",
"request_id": "<string>"
}
{
"status": 503,
"code": "merchant_group_unavailable",
"message": "Your merchant group could not be verified. Please retry in a few moments.",
"request_id": "<string>"
}
Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).
A unique JSON Web Token allowing to attempt a Payment on the PaymentIntent on a client-side application. It expires 30 minutes after the PaymentIntent creation: paying or authenticating with it is then refused with a 401 bad_payment_intent_token error, and reading the PaymentIntent with it (status, details, fees) is refused the same way 15 minutes later.
A reference provided by the client during the creation of this PaymentIntent. It is a reference to the customer for who this PaymentIntent was created.
Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).
Mode in which this PaymentIntent exists.
The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode.
The live mode has to be used to make real transactions.
Action required to execute to continue the processing of the current Payment on this PaymentIntent. The action allows the customer to validate the Payment.
- A redirection action provides all the information to redirect the customer to an external page,
- A ussd action provides a message to display to the user for the validation of the Payment. He will receive a USSD message on his phone describing how to make the validation,
- A otp action requires that you display an input to the customer to collect an OTP. A message is provided to explains to the user how to get this OTP. Then, the client will have to send the authentication request.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"HUB2 Documentation","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a","dark":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a"},"favicon":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/favicon.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=d71426a9f8f85b6c6ccce6d36247bf39","api":{"openapi":"https://api.hub2.io/docs-json"},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/hub2","website":"https://www.hub2.io"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"hub2-83","hasAudioNarration":false,"actualSubdomain":"hub2-83","customDomains":["docs.hub2.io"],"gitSource":{"type":"github","owner":"technohub2","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae16defdd9644647b4200dd","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"Référence de l'API","count":86},{"language":"default","tag":"Integration","count":44},{"language":"default","tag":"Intégration","count":44},{"language":"default","tag":"Payments","count":18},{"language":"default","tag":"Webhooks","count":17},{"language":"default","tag":"Documentation","count":16},{"language":"default","tag":"Transfers","count":11},{"language":"default","tag":"Compliance","count":10},{"language":"default","tag":"Payment Links","count":10},{"language":"default","tag":"Processing Only","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"assets/style.css","content":"table{display:table!important}.table-scroll{overflow:scroll}table tbody tr:nth-child(odd){background:#FAFAFA}html.dark table tbody tr:nth-child(odd){background:#1A1A1A}"}],"page":{"pagePath":"api-reference/payment-on-terminal/execute-payment","slug":"/api-reference/payment-on-terminal/execute-payment","pageMetadata":{"openapi":"post /terminal/payments","title":"Execute payment","description":null,"href":"/api-reference/payment-on-terminal/execute-payment"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /terminal/payments","title":"Execute payment","description":null,"href":"/api-reference/payment-on-terminal/execute-payment"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/hub2-83/0ef60d836fa10d10/assets/mermaid.js"],"openApiReferenceData":{"operation":{"operationId":"TerminalController_pay","parameters":["e0871a6e-c4c6-428d-bdfd-cbc55b2464ad","9e619002-a79d-4bb7-a8e0-25122bd8ab41","97bd143f-c59a-4114-bed4-558e52e16075"],"requestBody":"9344e938-3b9f-4df9-bc6b-0ad0d6e73be6","responses":{"201":"ddb7a844-6718-4644-a50a-9e44cbe63739","401":"4cae5e53-d37c-4c9f-b00a-1df73d77622b","429":"e2436e0e-9959-43cc-9ca5-c8a0ab56795e","500":"22b9b52b-cd28-463a-9d1f-ad0bfd6700cd","503":"8d64e38e-9f30-46fd-be46-7ac41ca91bbc"},"summary":"Execute payment","tags":["Payment on Terminal"],"method":"post","type":"path","servers":[],"security":[],"path":"/terminal/payments","baseUrlOptions":[],"title":"Execute payment","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e0871a6e-c4c6-428d-bdfd-cbc55b2464ad":{"name":"ApiKey","in":"header","description":"Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.","uniqueKey":"","typeLabel":"string"}},"9e619002-a79d-4bb7-a8e0-25122bd8ab41":{"name":"MerchantId","in":"header","description":"Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.","uniqueKey":"","typeLabel":"string"}},"97bd143f-c59a-4114-bed4-558e52e16075":{"name":"Environment","in":"header","description":"Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.","required":true,"schema":{"type":"string","enum":["live","sandbox"],"isRequired":true,"description":"Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"customerReference":{"type":"string","description":"A reference to the customer for who this PaymentIntent exists.\n This reference allows you to make correspondance in your system.","example":"cust_01924059","isRequired":true,"uniqueKey":"customerReference","typeLabel":"string"},"purchaseReference":{"type":"string","description":"A reference to the customer for who this PaymentIntent exists.\n This reference allows you to make correspondance in your system.","example":"ref_2020_11_10_001","isRequired":true,"uniqueKey":"purchaseReference","typeLabel":"string"},"amount":{"type":"number","description":"Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).","example":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"number"},"currency":{"type":"string","description":"Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html).","example":"XOF","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"paymentMethod":{"type":"string","description":"The method selected by the customer to make this Payment.","enum":["mobile_money","credit_card","bank_transfer","instant_payment"],"isRequired":true,"uniqueKey":"paymentMethod","typeLabel":"enum\u003cstring>"},"country":{"type":"string","description":"Two-letter [ISO country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Represents the country where the provider selected by the customer is localized. ","example":"CI","isRequired":true,"uniqueKey":"country","typeLabel":"string"},"provider":{"type":"string","description":"The name of the provider selected by the customer, in lowercase. The list of supported providers can be found at [/data/providers](#operation/DataController_getProviders)","example":"orange","isRequired":true,"uniqueKey":"provider","typeLabel":"string"},"mobileMoney":{"type":"object","title":"MobileMoney","required":["msisdn"],"properties":{"msisdn":{"type":"string","description":"The phone number associated to the Mobile Money account used to make the transaction.","example":"15948253","isRequired":true,"uniqueKey":"mobileMoney.msisdn","typeLabel":"string"},"otp":{"type":"string","description":"Some providers ask the customer to generate an OTP to allow the payment.\n Hub2 handle this in a two-step process if the selected provider ask for an OTP.\n But in some case, the client prefers to make a one-step process in which the payment and the authentication are done at same time.\n Hub2 allows this by accepting an OTP to be provided during the payment attempt step.","uniqueKey":"mobileMoney.otp","typeLabel":"string"},"onSuccessRedirectionUrl":{"type":"string","description":"Only for payment using provider Wave.\n The URL the customer will be directed to if the payment succeeds.\n You must provide a fully-qualified address using https as the scheme.\n You may include any information you need in the path itself or in query parameters.","uniqueKey":"mobileMoney.onSuccessRedirectionUrl","typeLabel":"string"},"onFailedRedirectionUrl":{"type":"string","description":"Only for payment using provider Wave.\n The URL the customer will be directed to if an error occurs on the payment attempt.\n You must provide a fully-qualified address using https as the scheme.\n You may include any information you need in the path itself or in query parameters.","uniqueKey":"mobileMoney.onFailedRedirectionUrl","typeLabel":"string"},"onCancelRedirectionUrl":{"type":"string","description":"Only for payment using provider Orange with the redirection workflow.\n The URL the customer will be directed to if he cancels the payment.\n You must provide a fully-qualified address using https as the scheme.\n You may include any information you need in the path itself or in query parameters.","uniqueKey":"mobileMoney.onCancelRedirectionUrl","typeLabel":"string"},"onFinishRedirectionUrl":{"type":"string","description":"Only for payment using provider Orange with the redirection workflow.\n The URL the customer will be directed to when the payment finish and the return link is clicked.\n You must provide a fully-qualified address using https as the scheme.\n You may include any information you need in the path itself or in query parameters.","uniqueKey":"mobileMoney.onFinishRedirectionUrl","typeLabel":"string"},"workflow":{"type":"string","description":"Only for payment using provider Orange.\n If you choose to set this parameter to 'redirection', you will be provided a redirection URL.\n Your clients must be redirected to this url for them to finalize payment.\n Otherwise it will follow our conventional workflow with OTP.","uniqueKey":"mobileMoney.workflow","typeLabel":"string"}},"isRequired":true,"uniqueKey":"mobileMoney","typeLabel":"MobileMoney · object"},"paymentInformation":{"type":"object","description":"Optional hashed metadata about the payment beneficiary (compliance / fraud).","properties":{"customer_id_hashmac":{"type":"string","description":"HMAC-SHA256, hex-encoded (64 characters), of your identifier for the end user paying: your customer id, or the end-user phone number when you have no customer id. Lets Hub2 correlate the pay-ins of one person for fraud analysis without receiving personal data. Case-insensitive on input, returned in lower case.","example":"9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08","pattern":"^[0-9a-fA-F]{64}$","maxLength":64,"uniqueKey":"paymentInformation.customer_id_hashmac","typeLabel":"string"}},"uniqueKey":"paymentInformation","typeLabel":"object"}},"required":["customerReference","purchaseReference","amount","currency","paymentMethod","country","provider","mobileMoney"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"customerReference":"cust_01924059","purchaseReference":"ref_2020_11_10_001","amount":100,"currency":"XOF","country":"CI","provider":"orange","mobileMoney":{"msisdn":"15948253","otp":"\u003cstring>","onSuccessRedirectionUrl":"\u003cstring>","onFailedRedirectionUrl":"\u003cstring>","onCancelRedirectionUrl":"\u003cstring>","onFinishRedirectionUrl":"\u003cstring>","workflow":"\u003cstring>"},"paymentInformation":{"customer_id_hashmac":"9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ddb7a844-6718-4644-a50a-9e44cbe63739":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the PaymentIntent","example":"pi_z1urYtVFgEebtcj8fxp4v","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"merchantId":{"type":"string","description":"Identifier of the merchant owning this PaymentIntent","isRequired":true,"uniqueKey":"merchantId","typeLabel":"string"},"createdAt":{"type":"string","description":"Datetime in UTC timezone at which this object was created.\n Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).","example":"2020-10-15T12:09:49.355Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"Datetime in UTC timezone at which this object was updated for the last time .\n Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).","example":"2020-10-15T12:16:26.128Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"token":{"type":"string","description":"A unique [JSON Web Token](https://en.wikipedia.org/wiki/JSON_Web_Token) allowing to attempt a Payment on the PaymentIntent on a client-side application. It expires 30 minutes after the PaymentIntent creation: paying or authenticating with it is then refused with a 401 `bad_payment_intent_token` error, and reading the PaymentIntent with it (status, details, fees) is refused the same way 15 minutes later.","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXJjaGFudElkIjoiMTYiLCJtb2RlIjoic2FuZGJveCIsInBheW1lbnRJZCI6InBpX3oxdXJZdFZGZ0VlYnRjajhmeHA0diIsImlhdCI6MTYwMjc1OTE4M30.OZ0fDnMVWvcT-gRthyBD58PFC20gabGKt1UPRe4aNi4","isRequired":true,"uniqueKey":"token","typeLabel":"string"},"purchaseReference":{"type":"string","description":"A reference provided by the client during the creation of this PaymentIntent","example":"ref_2020_11_10_001","isRequired":true,"uniqueKey":"purchaseReference","typeLabel":"string"},"customerReference":{"type":"string","description":"A reference provided by the client during the creation of this PaymentIntent. It is a reference to the customer for who this PaymentIntent was created.","example":"cust_01924059","isRequired":true,"uniqueKey":"customerReference","typeLabel":"string"},"status":{"type":"string","description":"The current status of this PaymentIntent","example":"successful","enum":["action_required","canceled","failed","payment_required","processing","successful"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","description":"Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).","example":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"number"},"currency":{"type":"string","description":"Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html).","example":"XOF","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"payments":{"type":"any","isRequired":true,"uniqueKey":"payments","typeLabel":"any"},"mode":{"type":"string","description":"Mode in which this PaymentIntent exists.\n The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode.\n The live mode has to be used to make real transactions.","example":"live","enum":["live","sandbox"],"isRequired":true,"uniqueKey":"mode","typeLabel":"enum\u003cstring>"},"nextAction":{"type":"object","title":"NextAction","description":"Action required to execute to continue the processing of the current Payment on this PaymentIntent. The action allows the customer to validate the Payment.\n - A redirection action provides all the information to redirect the customer to an external page,\n - A ussd action provides a message to display to the user for the validation of the Payment. He will receive a USSD message on his phone describing how to make the validation,\n - A otp action requires that you display an input to the customer to collect an OTP. A message is provided to explains to the user how to get this OTP. Then, the client will have to send the authentication request.\n ","required":["type","message"],"properties":{"type":{"type":"string","enum":["ussd","otp","redirection"],"isRequired":true,"uniqueKey":"nextAction.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"nextAction.message","typeLabel":"string"},"data":{"type":"object","description":"","required":["url","urls","method"],"properties":{"url":{"type":"string","description":"A fully qualified URL where the customer must be redirected to pursue the payment.","isRequired":true,"uniqueKey":"nextAction.data.url","typeLabel":"string"},"urls":{"type":"string","description":"An array of fully qualified URLs where the customer must be redirected to pursue the payment.","isRequired":true,"uniqueKey":"nextAction.data.urls","typeLabel":"string"},"method":{"type":"string","description":"HTTP verb to be used to redirect the customer.","example":"post","isRequired":true,"uniqueKey":"nextAction.data.method","typeLabel":"string"},"headers":{"type":"object","description":"","uniqueKey":"nextAction.data.headers","typeLabel":"object"},"data":{"type":"object","description":"Data that need to be used to make the redirection. It could be parameters for a GET request or a body payload for a POST.","uniqueKey":"nextAction.data.data","typeLabel":"object"}},"uniqueKey":"nextAction.data","typeLabel":"object"}},"uniqueKey":"nextAction","typeLabel":"NextAction · object"},"lastPaymentFailure":{"type":"object","title":"PaymentFailureCause","description":"In case of a Payment attempt failure, this object will describe the reason of the failure","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique code representing the failure cause for the payment.","enum":["internal_error","service_unavailable","unknown_reason","customer_account_locked","customer_insufficient_funds","authentication_failed","authentication_timeout","issuer_authentication_unavailable","timeout","bad_parameters","forbidden_by_provider","too_many_request","duplicate_request","consent_reference_in_use","canceled_by_customer","canceled","fraud_suspicion","unsupported_currency","payer_quota_exceeded","invalid_payment_processor","invalid_amount","recipient_unavailable","msisdn_invalid","card_expired","card_declined","card_stolen","card_refused","card_invalid","card_cvn_invalid","address_verification_failed","payment_limit_reached","reconciliation_failure"],"isRequired":true,"uniqueKey":"lastPaymentFailure.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human readable message explaining the failure cause. This message can be displayed to the customer.","isRequired":true,"uniqueKey":"lastPaymentFailure.message","typeLabel":"string"},"params":{"description":"List of parameters causing the payment failure in case of invalid parameters","type":"array","items":{"type":"string","uniqueKey":"lastPaymentFailure.params.items.[INDEX]","typeLabel":"string"},"uniqueKey":"lastPaymentFailure.params","typeLabel":"string[]"}},"uniqueKey":"lastPaymentFailure","typeLabel":"PaymentFailureCause · object"},"overrideBusinessName":{"type":"string","description":"For Aggregator, name of the merchant","example":"MyBusiness","uniqueKey":"overrideBusinessName","typeLabel":"string"},"subMerchantId":{"type":"string","description":"Submerchant ID","example":"submerchant_123","uniqueKey":"subMerchantId","typeLabel":"string"}},"required":["id","merchantId","createdAt","updatedAt","token","purchaseReference","customerReference","status","amount","currency","payments","mode"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"pi_z1urYtVFgEebtcj8fxp4v","merchantId":"\u003cstring>","createdAt":"2020-10-15T12:09:49.355Z","updatedAt":"2020-10-15T12:16:26.128Z","token":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXJjaGFudElkIjoiMTYiLCJtb2RlIjoic2FuZGJveCIsInBheW1lbnRJZCI6InBpX3oxdXJZdFZGZ0VlYnRjajhmeHA0diIsImlhdCI6MTYwMjc1OTE4M30.OZ0fDnMVWvcT-gRthyBD58PFC20gabGKt1UPRe4aNi4","purchaseReference":"ref_2020_11_10_001","customerReference":"cust_01924059","status":"successful","amount":100,"currency":"XOF","payments":"\u003cunknown>","mode":"live","nextAction":{"type":"ussd","message":"\u003cstring>","data":{"url":"\u003cstring>","urls":"\u003cstring>","method":"post","headers":{},"data":{}}},"lastPaymentFailure":{"code":"internal_error","message":"\u003cstring>","params":["\u003cstring>"]},"overrideBusinessName":"MyBusiness","subMerchantId":"submerchant_123"}}},"exampleType":"generated"}},"exampleType":"generated"},"4cae5e53-d37c-4c9f-b00a-1df73d77622b":{"description":"Wrong credentials","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"HTTP error code.","example":401,"isRequired":true,"uniqueKey":"status","typeLabel":"number"},"error":{"type":"object","description":"HTTP error description.","required":["type","code","message"],"properties":{"type":{"type":"string","description":"The type of this error.","example":"authorization_error","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"type":"string","description":"The internal error code describing what happened.","enum":["bad_payment_intent_token","wrong_credentials"],"example":"wrong_credentials","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Detailed error message which describe what happened.","example":"L'ID marchand et/ou la clé d'API sont incorrects.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":401,"error":{"type":"authorization_error","code":"wrong_credentials","message":"L'ID marchand et/ou la clé d'API sont incorrects."}}}},"exampleType":"generated"}},"exampleType":"generated"},"e2436e0e-9959-43cc-9ca5-c8a0ab56795e":{"description":"ThrottlerException: Too Many Requests","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"status","enum":[429],"example":429,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"error":{"type":"string","description":"Error","example":"ThrottlerException: Too Many Requests","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":429,"error":"ThrottlerException: Too Many Requests"}}},"exampleType":"generated"}},"exampleType":"generated"},"22b9b52b-cd28-463a-9d1f-ad0bfd6700cd":{"description":"Internal error","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"The type of this error.","example":"internal_error","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","description":"The error code for this error.","example":["internal_error","wrong_credentials","not_granted","live_mode_not_granted"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"The error message describing what happens to throw this error.","example":"An error occurred on our system. Please try again later.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["type","code","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"internal_error","code":["internal_error","wrong_credentials","not_granted","live_mode_not_granted"],"message":"An error occurred on our system. Please try again later."}}},"exampleType":"generated"}},"exampleType":"generated"},"8d64e38e-9f30-46fd-be46-7ac41ca91bbc":{"description":"Service unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"HTTP status.","enum":[502,503],"example":503,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"code":{"type":"string","description":"The error code. 503: `instant_payment_alias_rail_unavailable`, `merchant_group_unavailable` (the merchant group of the caller could not be verified, so money movement is refused). 502: `instant_payment_alias_not_recorded`, `instant_payment_alias_deletion_not_recorded`, `instant_payment_alias_divergence`.","example":"merchant_group_unavailable","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"What went wrong, and whether the call is safe to retry.","example":"Your merchant group could not be verified. Please retry in a few moments.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifier of the request, to quote when contacting the Support team.","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"}},"required":["status","code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":503,"code":"merchant_group_unavailable","message":"Your merchant group could not be verified. Please retry in a few moments.","request_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"https://api.hub2.io/docs-json"},"subdomain":"hub2-83","siteName":"HUB2 Documentation","title":"Execute payment - HUB2 Documentation","navMaps":{"firstHrefInVersion":{"English":{"href":"/api-reference/payment-on-terminal/execute-payment","matchLevel":0},"Français":{"href":"/api-reference/payment-on-terminal/execute-payment","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-10-28T03:37:35.104Z","originalFileLocation":"api-reference/payment-on-terminal/execute-payment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Execute payment - HUB2 Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://hub2-83.mintlify.site/_mintlify/api/og/v2?division=Payment+on+Terminal\u0026amp;title=Execute+payment\u0026amp;theme=92cb3d561e9d2318e8ed5cd1\u0026amp;signature=1e48a472fadd5c8ca5565ab3ba711810f588a609dd5eea9527482444f14e8c2c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Execute payment - HUB2 Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://hub2-83.mintlify.site/_mintlify/api/og/v2?division=Payment+on+Terminal\u0026amp;title=Execute+payment\u0026amp;theme=92cb3d561e9d2318e8ed5cd1\u0026amp;signature=1e48a472fadd5c8ca5565ab3ba711810f588a609dd5eea9527482444f14e8c2c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/payment-on-terminal/execute-payment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.hub2.io/#organization\",\"name\":\"HUB2 Documentation\",\"url\":\"https://docs.hub2.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.hub2.io#website\",\"name\":\"HUB2 Documentation\",\"url\":\"https://docs.hub2.io\",\"publisher\":{\"@id\":\"https://docs.hub2.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment#webpage\",\"url\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment\",\"name\":\"Execute payment\",\"dateModified\":\"2026-10-28T03:37:35.104Z\",\"isPartOf\":{\"@id\":\"https://docs.hub2.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"HUB2 Documentation\",\"item\":\"https://docs.hub2.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Execute payment\",\"item\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment#apireference\",\"headline\":\"Execute payment\",\"name\":\"Execute payment\",\"url\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.hub2.io/api-reference/payment-on-terminal/execute-payment#webpage\"},\"dateModified\":\"2026-10-28T03:37:35.104Z\",\"publisher\":{\"@id\":\"https://docs.hub2.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.hub2.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"HUB2 Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"HUB2 Documentation","nav":{"global":null,"versions":[{"version":"English","tabs":[{"tab":"HUB2"},{"tab":"Integration","pages":[{"title":"Integration","href":"/integration/en/getting_started/introduction"}]},{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/en/glossary"}]},{"tab":"API Reference","groups":[{"group":"Data","pages":[{"openapi":"get /data/countries","title":"Get countries","href":"/api-reference/data/get-countries"},{"openapi":"get /data/providers","title":"Get providers","href":"/api-reference/data/get-providers"},{"openapi":"get /data/bank-codes","title":"Get bank codes","href":"/api-reference/data/get-bank-codes"}]},{"group":"Balance","pages":[{"openapi":"get /balance","title":"Check Merchant Balance","href":"/api-reference/balance/check-merchant-balance"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Get all webhooks","href":"/api-reference/webhooks/get-all-webhooks"},{"openapi":"post /webhooks","title":"Create a webhook","href":"/api-reference/webhooks/create-a-webhook"},{"openapi":"get /webhooks/{id}","title":"Get a webhook","href":"/api-reference/webhooks/get-a-webhook"},{"openapi":"delete /webhooks/{id}","title":"Remove a webhook","href":"/api-reference/webhooks/remove-a-webhook"},{"openapi":"patch /webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"}]},{"group":"Sms","pages":[{"openapi":"get /sms/count","title":"Retrieve number of sms sent","href":"/api-reference/sms/retrieve-number-of-sms-sent"},{"openapi":"get /sms/list","title":"Get a list of sms sent","href":"/api-reference/sms/get-a-list-of-sms-sent"},{"openapi":"post /sms","title":"Send Sms","href":"/api-reference/sms/send-sms"}]},{"group":"Payments","pages":[{"openapi":"get /payment-intents","title":"Retrieve a PaymentIntent collection","href":"/api-reference/payments/retrieve-a-paymentintent-collection"},{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","href":"/api-reference/payments/create-a-paymentintent-object"},{"openapi":"get /payment-intents/{id}","title":"Retrieve a PaymentIntent object","href":"/api-reference/payments/retrieve-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments","title":"Attempt a payment on a PaymentIntent object","href":"/api-reference/payments/attempt-a-payment-on-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments/sync","title":"Synchronously attempt a payment on a payment intent","href":"/api-reference/payments/synchronously-attempt-a-payment-on-a-payment-intent"},{"openapi":"post /payment-intents/{id}/authentication","title":"Authenticate the current payment","href":"/api-reference/payments/authenticate-the-current-payment"},{"openapi":"get /payment-intents/{id}/payment-fees","title":"Retrieve fees","href":"/api-reference/payments/retrieve-fees"},{"openapi":"get /payment-intents/url/{token}","title":"Retrieve configured URLs","href":"/api-reference/payments/retrieve-configured-urls"},{"openapi":"get /payment-intents/{id}/status","title":"Retrieve a PaymentIntent status","href":"/api-reference/payments/retrieve-a-paymentintent-status"},{"openapi":"get /payments","title":"Retrieve a Payments collection","href":"/api-reference/payments/retrieve-a-payments-collection"},{"openapi":"get /payments/{id}/status","title":"Retrieve the status payment object","href":"/api-reference/payments/retrieve-the-status-payment-object"}]},{"group":"Provisioning","pages":[{"openapi":"get /provisionings","title":"Retrieve a Provisionings collection","href":"/api-reference/provisioning/retrieve-a-provisionings-collection"},{"openapi":"post /provisionings","title":"Create a Provisioning","href":"/api-reference/provisioning/create-a-provisioning"},{"openapi":"get /provisionings/{id}","title":"Retrieve a Provisioning from given id","href":"/api-reference/provisioning/retrieve-a-provisioning-from-given-id"}]},{"group":"Receipt","pages":[{"openapi":"get /receipts/{id}","title":"Retrieve a Receipt","href":"/api-reference/receipt/retrieve-a-receipt"},{"openapi":"get /receipts/html/{id}","title":"Retrieve a Receipt as an HTML representation","description":"Retrieve a sucessful or failed transfer or payment receipt as HTML","href":"/api-reference/receipt/retrieve-a-receipt-as-an-html-representation"}]},{"group":"Payment on Terminal","pages":[{"openapi":"post /terminal/payments","title":"Execute payment","href":"/api-reference/payment-on-terminal/execute-payment"},{"openapi":"get /terminal/payments/{id}","title":"Retrieve a payment","description":null,"href":"/api-reference/payment-on-terminal/retrieve-a-payment"}]},{"group":"IRT","pages":[{"openapi":"get /irt/transfer","title":"Retrieve a IRT transfers collection","href":"/api-reference/irt/retrieve-a-irt-transfers-collection"},{"openapi":"post /irt/transfer","title":"Create IRT transfer","href":"/api-reference/irt/create-irt-transfer"},{"openapi":"post /irt/transfer/verified-recipient","title":"Create an IRT transfer to a verified recipient","href":"/api-reference/irt/create-irt-transfer-verified-recipient"}]},{"group":"Transfers","pages":[{"openapi":"get /transfers","title":"Retrieve a Transfer collection","href":"/api-reference/transfers/retrieve-a-transfer-collection"},{"openapi":"post /transfers","title":"Create Transfer","href":"/api-reference/transfers/create-transfer"},{"openapi":"get /transfers/{id}","title":"Retrieve a Transfer","href":"/api-reference/transfers/retrieve-a-transfer"},{"openapi":"get /transfers/{id}/balance","title":"Retrieve a transfer's balance","href":"/api-reference/transfers/retrieve-a-transfers-balance"},{"openapi":"get /transfers/{id}/status","title":"Retrieve a transfer's status","href":"/api-reference/transfers/retrieve-a-transfers-status"},{"openapi":"post /transfers/status","title":"Retrieve the status of several transfers","href":"/api-reference/transfers/retrieve-transfers-status"}]},{"group":"Refunds","pages":[{"title":"Retrieve refunds collection","api":"GET https://api.hub2.io/refunds","href":"/api-reference/refunds/retrieve-refunds-collection"},{"openapi":"post /refunds/refund","title":"Create Refund","href":"/api-reference/refunds/create-refund"},{"title":"Retrieve a refund","api":"GET https://api.hub2.io/refunds/{id}","href":"/api-reference/refunds/retrieve-a-refund"}]},{"group":"Payment Refunds","pages":[{"openapi":"post /payments-refund/{id}/refund","title":"Create Refund for a Payment","href":"/api-reference/payments-refunds/create-refund-for-a-payment"},{"openapi":"get /payments-refund/{refundId}/status","title":"Get the status of a Payment Refund","href":"/api-reference/payments-refunds/get-the-status-of-a-payment-refund"}]},{"group":"Deposits","pages":[{"openapi":"get /deposits","title":"List deposits","href":"/api-reference/deposits/list-deposits"},{"openapi":"post /deposits","title":"Create a deposit","href":"/api-reference/deposits/create-a-deposit"},{"openapi":"get /deposits/{id}","title":"Get a deposit","href":"/api-reference/deposits/get-a-deposit"},{"openapi":"get /deposits/proof-upload-uri","title":"Get a proof upload URL","href":"/api-reference/deposits/get-a-proof-upload-url"},{"openapi":"post /deposits/{id}/proof","title":"Submit a proof","href":"/api-reference/deposits/submit-a-proof"},{"openapi":"get /deposits/{id}/proof","title":"Get deposit proof image","href":"/api-reference/deposits/get-deposit-proof-image"}]},{"group":"Compliance","pages":[{"openapi":"get /compliance/kyb/{name}","title":"Retrieve a kyb by name","href":"/api-reference/compliance/retrieve-a-kyb-by-name"},{"openapi":"put /compliance/kyb/{name}","title":"Update a kyb","href":"/api-reference/compliance/update-a-kyb"},{"openapi":"delete /compliance/kyb/{name}","title":"Delete a kyb","href":"/api-reference/compliance/delete-a-kyb"},{"openapi":"get /compliance/kyb","title":"Fetch a kyb list","href":"/api-reference/compliance/fetch-a-kyb-list"},{"openapi":"post /compliance/kyb","title":"Create a kyb","href":"/api-reference/compliance/create-a-kyb"},{"openapi":"get /compliance/transaction","title":"Fetch a kyb transactions list","href":"/api-reference/compliance/fetch-a-kyb-transactions-list"},{"openapi":"post /compliance/transaction","title":"Create a kyb transaction","href":"/api-reference/compliance/create-a-kyb-transaction"},{"openapi":"get /compliance/transaction/{reference}","title":"Retrieve a kyb transaction by reference","href":"/api-reference/compliance/retrieve-a-kyb-transaction-by-reference"},{"openapi":"delete /compliance/transaction/{reference}","title":"Delete a kyb transaction","href":"/api-reference/compliance/delete-a-kyb-transaction"},{"openapi":"get /compliance/kyc","title":"Get kyc information","href":"/api-reference/compliance/get-kyc-information"}]},{"group":"Recipients","pages":[{"openapi":"post /recipient","title":"Create a new recipient","href":"/api-reference/recipients/create-recipient"},{"openapi":"get /recipient/{id}","title":"Get a recipient by id","href":"/api-reference/recipients/find-recipient"},{"openapi":"get /recipient","title":"Retrieve a list of recipients according to filters","href":"/api-reference/recipients/list-recipients"},{"openapi":"delete /recipient/{id}","title":"Delete a recipient by id","href":"/api-reference/recipients/delete-recipient"}]},{"group":"Processing Only","pages":[{"openapi":"post /delegated/payments","title":"Create a delegated payment","href":"/api-reference/processing-only/make-a-delegated-payment"},{"openapi":"post /delegated/payments/sync","title":"Create a delegated synchronous payment","href":"/api-reference/processing-only/make-a-synchronous-delegated-payment"},{"openapi":"post /delegated/transfers","title":"Create a delegated Transfer","href":"/api-reference/processing-only/make-a-delegated-transfer"},{"openapi":"post /delegated/transfers/irt","title":"Create a delegated IRT transfer","href":"/api-reference/processing-only/make-a-delegated-transfer-irt"}]},{"group":"Payment Links","pages":[{"title":"Create a payment link","api":"POST https://api.hub2.io/payment-links","href":"/api-reference/payment_links/create_payment_links"},{"openapi":"get /payment-links","title":"List Payment Links","href":"/api-reference/payment_links/list_payment_links"},{"openapi":"get /payment-links/{id}","title":"Get Payment Link with Attempts","href":"/api-reference/payment_links/list_payment_links_with_attempts"},{"openapi":"patch /payment-links/{id}/close","title":"Close Payment Link","href":"/api-reference/payment_links/close_payment_links"}]},{"group":"Submerchants","pages":[{"openapi":"post /submerchants","title":"Create a submerchant","href":"/api-reference/submerchants/create-a-submerchant"},{"openapi":"get /submerchants","title":"List submerchants","href":"/api-reference/submerchants/list_submerchants"},{"openapi":"patch /submerchants/{submerchantId}","title":"Update a submerchant","href":"/api-reference/submerchants/update-a-submerchant"}]},{"group":"Subscriptions","pages":[{"openapi":"post /subscription-links","title":"Create Subscription Link","href":"/api-reference/subscriptions/create-a-subscription-link"},{"openapi":"post /subscription-intents","title":"Enroll a customer in card-on-file recurring debits","href":"/api-reference/subscriptions/enroll-a-customer"},{"openapi":"get /subscription-intents/{id}/status","title":"Retrieve a card-on-file enrollment status","href":"/api-reference/subscriptions/retrieve-an-enrollment-status"},{"openapi":"get /subscriptions","title":"Retrieve a Subscription collection","href":"/api-reference/subscriptions/retrieve-a-subscription-collection"},{"openapi":"post /subscriptions/{id}/charge","title":"Charge a merchant-initiated subscription on demand","href":"/api-reference/subscriptions/charge-a-subscription"},{"openapi":"post /subscriptions/{id}/suspend","title":"Suspend a subscription","href":"/api-reference/subscriptions/suspend-a-subscription"},{"openapi":"post /subscriptions/{id}/cancel","title":"Cancel a subscription","href":"/api-reference/subscriptions/cancel-a-subscription"},{"openapi":"get /subscriptions/{id}/transactions","title":"Retrieve a subscription's charge history","href":"/api-reference/subscriptions/retrieve-a-subscription-charge-history"}]},{"group":"Instant Payment","pages":[{"openapi":"get /instant-payment/accounts/{accountType}/aliases","title":"List the instant payment aliases of an account","href":"/api-reference/instant-payment/list-aliases"},{"openapi":"post /instant-payment/accounts/{accountType}/aliases","title":"Create an instant payment alias","href":"/api-reference/instant-payment/create-an-alias"},{"openapi":"delete /instant-payment/accounts/{accountType}/aliases/{aliasKey}","title":"Delete an instant payment alias","href":"/api-reference/instant-payment/delete-an-alias"}]}]}]},{"version":"Français","tabs":[{"tab":"HUB2"},{"tab":"Intégration","pages":[{"title":"Intégration","href":"/integration/fr/getting_started/introduction"}]},{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/fr/glossary"}]},{"tab":"Référence de l'API","groups":[{"group":"Data","pages":[{"openapi":"get /data/countries","title":"Get countries","href":"/api-reference/data/get-countries"},{"openapi":"get /data/providers","title":"Get providers","href":"/api-reference/data/get-providers"},{"openapi":"get /data/bank-codes","title":"Get bank codes","href":"/api-reference/data/get-bank-codes"}]},{"group":"Balance","pages":[{"openapi":"get /balance","title":"Check Merchant Balance","href":"/api-reference/balance/check-merchant-balance"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Get all webhooks","href":"/api-reference/webhooks/get-all-webhooks"},{"openapi":"post /webhooks","title":"Create a webhook","href":"/api-reference/webhooks/create-a-webhook"},{"openapi":"get /webhooks/{id}","title":"Get a webhook","href":"/api-reference/webhooks/get-a-webhook"},{"openapi":"delete /webhooks/{id}","title":"Remove a webhook","href":"/api-reference/webhooks/remove-a-webhook"},{"openapi":"patch /webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"}]},{"group":"Sms","pages":[{"openapi":"get /sms/count","title":"Retrieve number of sms sent","href":"/api-reference/sms/retrieve-number-of-sms-sent"},{"openapi":"get /sms/list","title":"Get a list of sms sent","href":"/api-reference/sms/get-a-list-of-sms-sent"},{"openapi":"post /sms","title":"Send Sms","href":"/api-reference/sms/send-sms"}]},{"group":"Payments","pages":[{"openapi":"get /payment-intents","title":"Retrieve a PaymentIntent collection","href":"/api-reference/payments/retrieve-a-paymentintent-collection"},{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","href":"/api-reference/payments/create-a-paymentintent-object"},{"openapi":"get /payment-intents/{id}","title":"Retrieve a PaymentIntent object","href":"/api-reference/payments/retrieve-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments","title":"Attempt a payment on a PaymentIntent object","href":"/api-reference/payments/attempt-a-payment-on-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments/sync","title":"Synchronously attempt a payment on a payment intent","href":"/api-reference/payments/synchronously-attempt-a-payment-on-a-payment-intent"},{"openapi":"post /payment-intents/{id}/authentication","title":"Authenticate the current payment","href":"/api-reference/payments/authenticate-the-current-payment"},{"openapi":"get /payment-intents/{id}/payment-fees","title":"Retrieve fees","href":"/api-reference/payments/retrieve-fees"},{"openapi":"get /payment-intents/url/{token}","title":"Retrieve configured URLs","href":"/api-reference/payments/retrieve-configured-urls"},{"openapi":"get /payment-intents/{id}/status","title":"Retrieve a PaymentIntent status","href":"/api-reference/payments/retrieve-a-paymentintent-status"},{"openapi":"get /payments","title":"Retrieve a Payments collection","href":"/api-reference/payments/retrieve-a-payments-collection"},{"openapi":"get /payments/{id}/status","title":"Retrieve the status payment object","href":"/api-reference/payments/retrieve-the-status-payment-object"}]},{"group":"Provisioning","pages":[{"openapi":"get /provisionings","title":"Retrieve a Provisionings collection","href":"/api-reference/provisioning/retrieve-a-provisionings-collection"},{"openapi":"post /provisionings","title":"Create a Provisioning","href":"/api-reference/provisioning/create-a-provisioning"},{"openapi":"get /provisionings/{id}","title":"Retrieve a Provisioning from given id","href":"/api-reference/provisioning/retrieve-a-provisioning-from-given-id"}]},{"group":"Receipt","pages":[{"openapi":"get /receipts/{id}","title":"Retrieve a Receipt","href":"/api-reference/receipt/retrieve-a-receipt"},{"openapi":"get /receipts/html/{id}","title":"Retrieve a Receipt as an HTML representation","description":"Retrieve a sucessful or failed transfer or payment receipt as HTML","href":"/api-reference/receipt/retrieve-a-receipt-as-an-html-representation"}]},{"group":"Payment on Terminal","pages":[{"openapi":"post /terminal/payments","title":"Execute payment","href":"/api-reference/payment-on-terminal/execute-payment"},{"openapi":"get /terminal/payments/{id}","title":"Retrieve a payment","description":null,"href":"/api-reference/payment-on-terminal/retrieve-a-payment"}]},{"group":"IRT","pages":[{"openapi":"get /irt/transfer","title":"Retrieve a IRT transfers collection","href":"/api-reference/irt/retrieve-a-irt-transfers-collection"},{"openapi":"post /irt/transfer","title":"Create IRT transfer","href":"/api-reference/irt/create-irt-transfer"},{"openapi":"post /irt/transfer/verified-recipient","title":"Create an IRT transfer to a verified recipient","href":"/api-reference/irt/create-irt-transfer-verified-recipient"}]},{"group":"Transfers","pages":[{"openapi":"get /transfers","title":"Retrieve a Transfer collection","href":"/api-reference/transfers/retrieve-a-transfer-collection"},{"openapi":"post /transfers","title":"Create Transfer","href":"/api-reference/transfers/create-transfer"},{"openapi":"get /transfers/{id}","title":"Retrieve a Transfer","href":"/api-reference/transfers/retrieve-a-transfer"},{"openapi":"get /transfers/{id}/balance","title":"Retrieve a transfer's balance","href":"/api-reference/transfers/retrieve-a-transfers-balance"},{"openapi":"get /transfers/{id}/status","title":"Retrieve a transfer's status","href":"/api-reference/transfers/retrieve-a-transfers-status"},{"openapi":"post /transfers/status","title":"Retrieve the status of several transfers","href":"/api-reference/transfers/retrieve-transfers-status"}]},{"group":"Refunds","pages":[{"title":"Retrieve refunds collection","api":"GET https://api.hub2.io/refunds","href":"/api-reference/refunds/retrieve-refunds-collection"},{"openapi":"post /refunds/refund","title":"Create Refund","href":"/api-reference/refunds/create-refund"},{"title":"Retrieve a refund","api":"GET https://api.hub2.io/refunds/{id}","href":"/api-reference/refunds/retrieve-a-refund"}]},{"group":"Payment Refunds","pages":[{"openapi":"post /payments-refund/{id}/refund","title":"Create Refund for a Payment","href":"/api-reference/payments-refunds/create-refund-for-a-payment"},{"openapi":"get /payments-refund/{refundId}/status","title":"Get the status of a Payment Refund","href":"/api-reference/payments-refunds/get-the-status-of-a-payment-refund"}]},{"group":"Deposits","pages":[{"openapi":"get /deposits","title":"List deposits","href":"/api-reference/deposits/list-deposits"},{"openapi":"post /deposits","title":"Create a deposit","href":"/api-reference/deposits/create-a-deposit"},{"openapi":"get /deposits/{id}","title":"Get a deposit","href":"/api-reference/deposits/get-a-deposit"},{"openapi":"get /deposits/proof-upload-uri","title":"Get a proof upload URL","href":"/api-reference/deposits/get-a-proof-upload-url"},{"openapi":"post /deposits/{id}/proof","title":"Submit a proof","href":"/api-reference/deposits/submit-a-proof"},{"openapi":"get /deposits/{id}/proof","title":"Get deposit proof image","href":"/api-reference/deposits/get-deposit-proof-image"}]},{"group":"Compliance","pages":[{"openapi":"get /compliance/kyb/{name}","title":"Retrieve a kyb by name","href":"/api-reference/compliance/retrieve-a-kyb-by-name"},{"openapi":"put /compliance/kyb/{name}","title":"Update a kyb","href":"/api-reference/compliance/update-a-kyb"},{"openapi":"delete /compliance/kyb/{name}","title":"Delete a kyb","href":"/api-reference/compliance/delete-a-kyb"},{"openapi":"get /compliance/kyb","title":"Fetch a kyb list","href":"/api-reference/compliance/fetch-a-kyb-list"},{"openapi":"post /compliance/kyb","title":"Create a kyb","href":"/api-reference/compliance/create-a-kyb"},{"openapi":"get /compliance/transaction","title":"Fetch a kyb transactions list","href":"/api-reference/compliance/fetch-a-kyb-transactions-list"},{"openapi":"post /compliance/transaction","title":"Create a kyb transaction","href":"/api-reference/compliance/create-a-kyb-transaction"},{"openapi":"get /compliance/transaction/{reference}","title":"Retrieve a kyb transaction by reference","href":"/api-reference/compliance/retrieve-a-kyb-transaction-by-reference"},{"openapi":"delete /compliance/transaction/{reference}","title":"Delete a kyb transaction","href":"/api-reference/compliance/delete-a-kyb-transaction"},{"openapi":"get /compliance/kyc","title":"Get kyc information","href":"/api-reference/compliance/get-kyc-information"}]},{"group":"Recipients","pages":[{"openapi":"post /recipient","title":"Create a new recipient","href":"/api-reference/recipients/create-recipient"},{"openapi":"get /recipient/{id}","title":"Get a recipient by id","href":"/api-reference/recipients/find-recipient"},{"openapi":"get /recipient","title":"Retrieve a list of recipients according to filters","href":"/api-reference/recipients/list-recipients"},{"openapi":"delete /recipient/{id}","title":"Delete a recipient by id","href":"/api-reference/recipients/delete-recipient"}]},{"group":"Processing Only","pages":[{"openapi":"post /delegated/payments","title":"Create a delegated payment","href":"/api-reference/processing-only/make-a-delegated-payment"},{"openapi":"post /delegated/payments/sync","title":"Create a delegated synchronous payment","href":"/api-reference/processing-only/make-a-synchronous-delegated-payment"},{"openapi":"post /delegated/transfers","title":"Create a delegated Transfer","href":"/api-reference/processing-only/make-a-delegated-transfer"},{"openapi":"post /delegated/transfers/irt","title":"Create a delegated IRT transfer","href":"/api-reference/processing-only/make-a-delegated-transfer-irt"}]},{"group":"Payment Links","pages":[{"title":"Create a payment link","api":"POST https://api.hub2.io/payment-links","href":"/api-reference/payment_links/create_payment_links"},{"openapi":"get /payment-links","title":"List Payment Links","href":"/api-reference/payment_links/list_payment_links"},{"openapi":"get /payment-links/{id}","title":"Get Payment Link with Attempts","href":"/api-reference/payment_links/list_payment_links_with_attempts"},{"openapi":"patch /payment-links/{id}/close","title":"Close Payment Link","href":"/api-reference/payment_links/close_payment_links"}]},{"group":"Submerchants","pages":[{"openapi":"post /submerchants","title":"Create a submerchant","href":"/api-reference/submerchants/create-a-submerchant"},{"openapi":"get /submerchants","title":"List submerchants","href":"/api-reference/submerchants/list_submerchants"},{"openapi":"patch /submerchants/{submerchantId}","title":"Update a submerchant","href":"/api-reference/submerchants/update-a-submerchant"}]},{"group":"Subscriptions","pages":[{"openapi":"post /subscription-links","title":"Create Subscription Link","href":"/api-reference/subscriptions/create-a-subscription-link"},{"openapi":"post /subscription-intents","title":"Enroll a customer in card-on-file recurring debits","href":"/api-reference/subscriptions/enroll-a-customer"},{"openapi":"get /subscription-intents/{id}/status","title":"Retrieve a card-on-file enrollment status","href":"/api-reference/subscriptions/retrieve-an-enrollment-status"},{"openapi":"get /subscriptions","title":"Retrieve a Subscription collection","href":"/api-reference/subscriptions/retrieve-a-subscription-collection"},{"openapi":"post /subscriptions/{id}/charge","title":"Charge a merchant-initiated subscription on demand","href":"/api-reference/subscriptions/charge-a-subscription"},{"openapi":"post /subscriptions/{id}/suspend","title":"Suspend a subscription","href":"/api-reference/subscriptions/suspend-a-subscription"},{"openapi":"post /subscriptions/{id}/cancel","title":"Cancel a subscription","href":"/api-reference/subscriptions/cancel-a-subscription"},{"openapi":"get /subscriptions/{id}/transactions","title":"Retrieve a subscription's charge history","href":"/api-reference/subscriptions/retrieve-a-subscription-charge-history"}]},{"group":"Instant Payment","pages":[{"openapi":"get /instant-payment/accounts/{accountType}/aliases","title":"List the instant payment aliases of an account","href":"/api-reference/instant-payment/list-aliases"},{"openapi":"post /instant-payment/accounts/{accountType}/aliases","title":"Create an instant payment alias","href":"/api-reference/instant-payment/create-an-alias"},{"openapi":"delete /instant-payment/accounts/{accountType}/aliases/{aliasKey}","title":"Delete an instant payment alias","href":"/api-reference/instant-payment/delete-an-alias"}]}]}]}]},"basePath":"","title":"Execute payment - HUB2 Documentation","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","clsx-DK3K4Z1S.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DE3EVdvd.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-fN9H9n9g.js"]}